OTPme - Feature #66

Feature # 64 (In Bearbeitung): Implement U2F token

Allow usage of U2F token as second factor token with "password" tokens

17 December 2015 19:59 - The 2nd

Status: In Bearbeitung Start date: 17 December 2015
Priority: Normal Due date:

Assignee: The 2nd % Done: 90%

Category: Estimated time: 0:00 hour

Target version: OTPme 0.3

Description

¢ The first factor should be a static password that can be used to encrypt offline token and session

¢ The second factor would be the U2F token

History

#1 - 18 December 2015 22:25 - The 2nd
- % Done changed from 0 to 50

¢ Implemented usage of U2F tokens as second factor token with static password tokens

e Currently this can only be used with the OTPme PAM module

e Offline authentication does not work yet

#2 - 31 December 2015 14:32 - The 2nd

- Status changed from Neu to In Bearbeitung

- % Done changed from 50 to 90

¢ Implemented offline logins with U2F tokens

o Extended the OTPme PAM module to support "nullok” to allow usage of U2F token without password
